# Class Annotation

java.lang.Object
org.jmol.modelsetbio.ProteinStructure
org.jmol.modelsetbio.Annotation

All Implemented Interfaces:
  `Structure`

public class Annotation extends ProteinStructure

## Field Summary

### Fields inherited from class ProteinStructure

`apolymer, axisA, axisB, axisUnitVector, monomerIndexFirst, nRes, vectorProjection`

## Constructor Summary

Constructors
Constructor
Description
`Annotation()`

## Method Summary

### Methods inherited from class ProteinStructure

`calcAxis, findMonomer, getAxisEndPoint, getAxisStartPoint, getIndex, getSegments, incrementID, isWithin, setAtomBits, setAtomBitsAndClear, setupPS, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Annotation

public Annotation()